Author Topic: ModuleNotFoundError: No module named 'pwd'  (Read 107 times)

0 Members and 1 Guest are viewing this topic.

Offline coraline

  • New ATK user
  • *
  • Posts: 7
  • Country: vn
  • Reputation: 0
    • View Profile
ModuleNotFoundError: No module named 'pwd'
« on: November 2, 2020, 08:00 »
Dear all,
I ran into this error when the program was starting. The program still ran smoothly the last time I used it, which is 3 days ago.
Do you have any idea what cause the problem, and how can I fix this?
Thank you so much!
Thi
-----------
Traceback (most recent call last):
  File "build\lib\site-packages\parmed\gromacs\gromacstop.py", line 40, in <module>
ModuleNotFoundError: No module named 'pwd'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "zipdir\NL\GUI\Main\Main.py", line 280, in main
  File "zipdir\NL\GUI\MainWindow\MainStack.py", line 10, in <module>
  File "zipdir\NL\GUI\MainWindow\MainWindow.py", line 24, in <module>
  File "zipdir\NL\GUI\Actions\ToolFactory.py", line 7, in <module>
  File "zipdir\NL\GUI\Tools\ScriptGenerator\ScriptGenerator.py", line 47, in <module>
  File "zipdir\NL\GUI\Tools\ScriptGenerator\ScriptBoard.py", line 26, in <module>
  File "zipdir\NL\GUI\Tools\ScriptGenerator\ScriptBoardBase.py", line 7, in <module>
  File "zipdir\NL\GUI\Tools\ScriptGenerator\ScriptBlocks\PolymerBuilder.py", line 5, in <module>
  File "zipdir\NL\GUI\Tools\ScriptGenerator\ScriptBlocks\BuilderWidgets\PolymerBuilder\PolymerState.py", line 21, in <module>
  File "zipdir\NL\Calculators\ExternalCalculators\ClassicalCalculators\DreidingPotentialBuilder.py", line 9, in <module>
  File "zipdir\NL\Calculators\ExternalCalculators\ClassicalCalculators\PotentialBuilder.py", line 11, in <module>
  File "build\lib\site-packages\foyer\atomtyper.py", line 4, in <module>
  File "build\lib\site-packages\foyer\smarts_graph.py", line 6, in <module>
  File "build\lib\site-packages\parmed\__init__.py", line 25, in <module>
  File "build\lib\site-packages\parmed\gromacs\__init__.py", line 45, in <module>
  File "build\lib\site-packages\parmed\gromacs\gromacstop.py", line 49, in <module>
  File "build\lib\getpass.py", line 168, in getuser
ModuleNotFoundError: No module named 'pwd'

Offline coraline

  • New ATK user
  • *
  • Posts: 7
  • Country: vn
  • Reputation: 0
    • View Profile
Re: ModuleNotFoundError: No module named 'pwd'
« Reply #1 on: November 4, 2020, 03:24 »
Oddly, I restarted the software again after 2 days, and it is working fine now....

Offline mlee

  • QuantumWise Staff
  • ATK Guru
  • *****
  • Posts: 103
  • Country: dk
  • Reputation: 0
    • View Profile
Re: ModuleNotFoundError: No module named 'pwd'
« Reply #2 on: November 4, 2020, 12:54 »
Good to know about it.